Summary:	Graphical client for PostgreSQL
Name:		pgadmin3
Version:	1.24.1
Release:	5.git.19.33d5cf6%{?dist}
License:	PostgreSQL
Group:		Applications/Databases
# rm pgadmin3-master.tar.gz
# git --git-dir=../../pgadmin3/.git/ archive --format=tar.gz --prefix=pgadmin3-master/ master > pgadmin3-master.tar.gz
# wget https://github.com/dimv36/pgadmin3/archive/master.tar.gz && mv master.tar.gz pgadmin3-master.tar.gz
# git annex add pgadmin3-master.tar.gz
# git commit -a -m "update"
# tito build --offline --builder mock --arg mock=fedora-30-x86_64 --rpm --test
# copr-cli build pgadmin /tmp/tito/pgadmin3-1.24.1....
Source:		%{name}-master.tar.gz
Patch0:		%{name}-1.23-cflags.patch
Patch1:		%{name}-desktop.patch
URL:		http://www.pgadmin.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	automake gcc-c++ wxGTK3-devel postgresql-devel postgresql-server-devel desktop-file-utils  
BuildRequires:	libxml2-devel libxslt-devel gettext libssh2-devel openssl-devel
Requires:	wxGTK3 libssh2

%description
Fork of pgAdmin III.
https://github.com/Timosha/pgadmin3

pgAdmin III is a powerful administration and development
platform for the PostgreSQL database, free for any use.
It is designed to answer the needs of all users,
from writing simple SQL queries to developing complex
databases. The graphical interface supports all PostgreSQL
features and makes administration easy.

pgAdmin III is designed to answer the needs of all users,
from writing simple SQL queries to developing complex databases.
The graphical interface supports all PostgreSQL features and
makes administration easy. The application also includes a syntax
highlighting SQL editor, a server-side code editor, an
SQL/batch/shell job scheduling agent, support for the Slony-I
replication engine and much more. No additional drivers are
required to communicate with the database server.

%prep
%setup -qn pgadmin3-master
%patch0 -p1
#%patch1 -p0

%build
./bootstrap
#export LIBS="-lwx_gtk2u_core-2.8"
%configure CXXFLAGS="$RPM_OPT_FLAGS -fno-delete-null-pointer-checks -Wno-unused-local-typedefs -Wno-unused-function" \
    --disable-debug --disable-dependency-tracking \
    --with-wx-version=3.0 \
    --with-wx=%{_prefix}
make %{?_smp_mflags} all

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -f ./pgadmin/include/images/pgAdmin3-256.png %{buildroot}/%{_datadir}/%{name}/pgAdmin3.png

mkdir -p %{buildroot}/%{_datadir}/applications

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
%if 0%{?rhel}
	--vendor="" \
%endif
	--add-category Development pkg/%{name}.desktop

# Convert changelog, fix incorrect end-of-line encoding
iconv -f iso-8859-1 -t utf-8 -o CHANGELOG.utf8 CHANGELOG
sed -i 's/\r$//' CHANGELOG.utf8
touch -c -r CHANGELOG CHANGELOG.utf8
mv -f CHANGELOG.utf8 CHANGELOG

# Remove unwanted and double files
rm -f docs/{Docs.vcproj,builddocs.bat}
rm -f %{buildroot}%{_datadir}/%{name}/i18n/{*,.}/wxstd.mo

# Move locales to their correct place
mkdir -p %{buildroot}%{_datadir}/locale
mv -f %{buildroot}%{_datadir}/%{name}/i18n/??_?? %{buildroot}%{_datadir}/locale

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS CHANGELOG LICENSE README docs/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*

%changelog
* Mon Mar 4 2019 Timon <timosha@gmail.com> 1.24.1-5
- build with wxGTK3
- switch back to https://github.com/Timosha/pgadmin3 repo
- fix build reqs

* Mon Mar 4 2019 Timon <timosha@gmail.com> 1.24.1-4
- rebuild

* Thu Sep 13 2018 Timon <timosha@gmail.com> 1.24.1-3
- rebuild
- fix build req

* Tue Nov 21 2017 Timon <timosha@gmail.com> 1.24.1-2
- latest master

* Sat Aug 19 2017 Timon <timosha@gmail.com> 1.24.1-1
- just use correct version
- back openssl-devel

* Fri Aug 18 2017 Timon <timosha@gmail.com> 1.24.0-4
- build master with reworked libssh2 tunnel
- add libssh2 to deps

* Tue Apr 11 2017 Timon <timosha@gmail.com> 1.24.0-3
- rebuild updated master
- add -Wno-reorder

* Wed Jan 18 2017 Timon <timosha@gmail.com> 1.24.0-2
- Move to github/dimv36 fork
- add multitab patch
- fix build

* Thu Jun 16 2016 Timon <timosha@gmail.com> 1.23.0-2
- add releasers (timosha@gmail.com)

* Thu Jun 16 2016 Timon <timosha@gmail.com> 1.23.0-1
- build latest master
- add beautiful icon
- fix segfault with gcc 6
- new package built with tito

* Wed Feb 17 2016 Devrim GUNDUZ <devrim@gunduz.org> 1.22.1-1
- Update to 1.22.1
- Update download URL

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.20.0-2
- Rebuilt for GCC 5 C++11 ABI change

* Tue Mar 10 2015 Kevin Fenzi <kevin@scrye.com> 1.20.0-1
- Rebuild for new gcc

* Mon Dec 22 2014 Devrim GUNDUZ <devrim@gunduz.org> 1.20.0-1
- Update to 1.20.0
- Update download URL -- community will deprecate FTP service.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 8 2013 Devrim GUNDUZ <devrim@gunduz.org> 1.18.1-1
- Update to 1.18.1

* Wed Sep 11 2013 Devrim GUNDUZ <devrim@gunduz.org> 1.18.0-1
- Update to 1.18.0
- Trim changelog

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jan 25 2013 Devrim GUNDUZ <devrim@gunduz.org> 1.16.1-1
- Update to 1.16.1

* Mon Oct 29 2012 Devrim GUNDUZ <devrim@gunduz.org> 1.16.0-2
- Update licence, per bz #871183.

* Sun Oct 28 2012 Devrim GUNDUZ <devrim@gunduz.org> 1.16.0-1
- Update to 1.16.0

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 11 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.14.2-2
- Fix -debuginfo (#746349).

* Thu May 10 2012 Devrim GUNDUZ <devrim@gunduz.org> 1.14.2-1
- Update to 1.14.2

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 13 2011 Devrim GUNDUZ <devrim@gunduz.org> 1.14.0-1
- Update to 1.14.0

* Tue Apr 19 2011 Devrim GUNDUZ <devrim@gunduz.org> 1.12.3-1
- Update to 1.12.3

* Wed Feb 23 2011 Devrim GUNDUZ <devrim@gunduz.org> 1.12.2-3
- Actually install desktop file.

* Tue Feb 15 2011 Devrim GUNDUZ <devrim@gunduz.org> 1.12.2-2
- Update to 1.12.2

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 3 2010 Devrim GUNDUZ <devrim@gunduz.org> 1.10.5-1
- Update to 1.10.5

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 1.10.3-3
- rebuilt against wxGTK-2.8.11-2

* Tue Jun 15 2010 Michel Salim <salimma@fedoraproject.org> - 1.10.3-2
- Ship the hints files (bz #513039)

* Thu May 13 2010 Devrim GUNDUZ <devrim@gunduz.org> 1.10.3-1
- Update to 1.10.3

* Mon Mar 15 2010 Devrim GUNDUZ <devrim@gunduz.org> 1.10.2-1
- Update to 1.10.2

* Thu Dec 3 2009 Devrim GUNDUZ <devrim@gunduz.org> 1.10.1-1
- Update to 1.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 29 2009 Devrim GUNDUZ <devrim@gunduz.org> 1.10.0-1
- Update to 1.10.0
- Update licence
- Incorporate some changes from rpmfusion:
  Corrected pgadmin3 documentation path to avoid errors (#448)
  Re-added the branding directory for some users (RHBZ #473748)
  Removed useless -docs package, main package shipped it anyway
  Many spec file and package cleanups to get rpmlint very silent
